// prdhelper.cpp: implementation of the CPrdHelper class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "prdhelper.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CPrdHelper::CPrdHelper(CaplAPI* api,CaplInstance* inst)
{
	m_api=api;
	m_inst=inst;
}

CPrdHelper::~CPrdHelper()
{

}


BOOL CPrdHelper::GetPrdId(CString& csID)
{
	CaplInstance* ciPrd=NULL;

	m_api->m_data.GetAttr(m_inst,m_api->m_prd_mgr.a_pdf_prd,ciPrd);
	return m_api->m_data.GetAttr(ciPrd,m_api->m_prd_mgr.a_prd_id,csID);
}

BOOL CPrdHelper::GetPrdName(CString& csName)
{
	CaplInstance* ciPrd=NULL;

	m_api->m_data.GetAttr(m_inst,m_api->m_prd_mgr.a_pdf_prd,ciPrd);
	return m_api->m_data.GetAttr(ciPrd,m_api->m_prd_mgr.a_prd_name,csName);
}
BOOL CPrdHelper::GetPrdVerID(CString& csVer)
{
	return m_api->m_data.GetAttr(m_inst,m_api->m_prd_mgr.a_pdf_id,csVer);
}
